Name:          python-spyder-kernels
Version:       2.1.0
Release:       1mamba
Summary:       Jupyter kernels for the Spyder console
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/spyder-kernels/
Source:        https://pypi.debian.net/spyder-kernels/spyder-kernels-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: libpython-devel
Requires:      python >= %python_version

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n spyder-kernels-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
## note: this list is just an example; modify as required
# %{python_sitearch}/%{name}.py*
# %{python_sitearch}/%{name}.so

## note: add extra documentation (if any)
# %doc README.md

%changelog
* Sun Aug 01 2021 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Sat Jul 03 2021 Automatic Build System <autodist@mambasoft.it> 2.0.5-1mamba
- automatic version update by autodist

* Fri Jun 11 2021 Automatic Build System <autodist@mambasoft.it> 2.0.4-1mamba
- automatic version update by autodist

* Sun May 16 2021 Automatic Build System <autodist@mambasoft.it> 2.0.3-1mamba
- automatic version update by autodist

* Mon May 03 2021 Automatic Build System <autodist@mambasoft.it> 2.0.2-1mamba
- automatic version update by autodist

* Sat Apr 03 2021 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Fri Apr 02 2021 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Mon Feb 22 2021 Automatic Build System <autodist@mambasoft.it> 1.10.2-1mamba
- automatic version update by autodist

* Wed Jan 20 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10.1-1mamba
- package created using the webbuild interface
